# -*- encoding: utf-8 -*-
# stub: kafo_parsers 0.1.6 ruby lib

Gem::Specification.new do |s|
  s.name = "kafo_parsers"
  s.version = "0.1.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Marek Hulan"]
  s.date = "2017-01-05"
  s.description = "This gem can parse values, validations, documentation, types, groups and conditions of parameters from your puppet modules"
  s.email = ["mhulan@redhat.com"]
  s.files = ["LICENSE.txt", "README.md", "Rakefile", "lib/kafo_parsers.rb", "lib/kafo_parsers/doc_parser.rb", "lib/kafo_parsers/exceptions.rb", "lib/kafo_parsers/param_doc_parser.rb", "lib/kafo_parsers/parsers.rb", "lib/kafo_parsers/puppet_module_parser.rb", "lib/kafo_parsers/puppet_strings_module_parser.rb", "lib/kafo_parsers/validation.rb", "lib/kafo_parsers/version.rb"]
  s.homepage = "https://github.com/theforeman/kafo_parsers"
  s.licenses = ["GPLv3+"]
  s.rubygems_version = "2.5.1"
  s.summary = "Puppet module parsers"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.5"])
      s.add_development_dependency(%q<rake>, ["< 11"])
      s.add_development_dependency(%q<minitest>, ["~> 4.0"])
      s.add_development_dependency(%q<simplecov>, ["< 0.9"])
      s.add_development_dependency(%q<ci_reporter>, ["~> 1.9.0"])
      s.add_runtime_dependency(%q<rdoc>, [">= 3.9.0"])
      s.add_runtime_dependency(%q<json>, [">= 0"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.5"])
      s.add_dependency(%q<rake>, ["< 11"])
      s.add_dependency(%q<minitest>, ["~> 4.0"])
      s.add_dependency(%q<simplecov>, ["< 0.9"])
      s.add_dependency(%q<ci_reporter>, ["~> 1.9.0"])
      s.add_dependency(%q<rdoc>, [">= 3.9.0"])
      s.add_dependency(%q<json>, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.5"])
    s.add_dependency(%q<rake>, ["< 11"])
    s.add_dependency(%q<minitest>, ["~> 4.0"])
    s.add_dependency(%q<simplecov>, ["< 0.9"])
    s.add_dependency(%q<ci_reporter>, ["~> 1.9.0"])
    s.add_dependency(%q<rdoc>, [">= 3.9.0"])
    s.add_dependency(%q<json>, [">= 0"])
  end
end
